Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class DiscreteAlphabet.DiscreteAlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.data.Alphabet.AlphabetParameterSet
                  de.jstacs.data.alphabets.DiscreteAlphabet.DiscreteAlphabetParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

Enclosing class:
  DiscreteAlphabet

    public static class DiscreteAlphabet.DiscreteAlphabetParameterSet

extends Alphabet.AlphabetParameterSet

Class for the `ParameterSet` of a `DiscreteAlphabet`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`DiscreteAlphabet.DiscreteAlphabetParameterSet()` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` with empty values.
`DiscreteAlphabet.DiscreteAlphabetParameterSet(char[] alphabet, boolean caseInsensitive)` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an alphabet of symbols given as a `char` array.
`DiscreteAlphabet.DiscreteAlphabetParameterSet(String[] alphabet, boolean caseInsensitive)` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an alphabet given as a `String` array.
`DiscreteAlphabet.DiscreteAlphabetParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable` .

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.data.Alphabet.AlphabetParameterSet
`clone, getInstanceName`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet()

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` with empty values.

  See Also:
    `Alphabet.AlphabetParameterSet.Alphabet.AlphabetParameterSet(Class)`

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet(String[] alphabet,
                                                         boolean caseInsensitive)
                                                  throws Exception

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an alphabet given as a `String` array.

  Parameters:
    `alphabet` - the alphabet as `String` array
    `caseInsensitive` - indicates if the `DiscreteAlphabet` shall be case insensitive
  Throws:
    `Exception` - if the parameter set could not be created
  See Also:
    `DiscreteAlphabet.DiscreteAlphabetParameterSet#DiscreteAlphabetParameterSet()`

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet(char[] alphabet,
                                                         boolean caseInsensitive)
                                                  throws Exception

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an alphabet of symbols given as a `char` array.

  Parameters:
    `alphabet` - the array of symbols
    `caseInsensitive` - indicates if the `DiscreteAlphabet` shall be case insensitive
  Throws:
    `Exception` - if the parameter set could not be created
  See Also:
    `DiscreteAlphabet.DiscreteAlphabetParameterSet#DiscreteAlphabetParameterSet()`

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet(StringBuffer representation)
                                                  throws NonParsableException

  The standard constructor for the interface `Storable` . Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `DiscreteAlphabet.DiscreteAlphabetParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `Alphabet.AlphabetParameterSet#AlphabetParameterSet(StringBuffer)`, `Storable`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD